Persona is no longer an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 587029 - Tab Candy : closing last tab of a group leads to an isolated tab
: Tab Candy : closing last tab of a group leads to an isolated tab
Status: RESOLVED DUPLICATE of bug 586693
Product: Firefox Graveyard
Classification: Graveyard
Component: Panorama (show other bugs)
: Trunk
: All All
: P1 normal
: Firefox 4.0b4
Assigned To: Raymond Lee [:raymondlee]
Depends on: 586693
Blocks: 586788
  Show dependency treegraph
Reported: 2010-08-13 08:21 PDT by Christophe Calvez
Modified: 2016-04-12 14:00 PDT (History)
8 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---

v1 (1.10 KB, patch)
2010-08-13 13:05 PDT, Raymond Lee [:raymondlee]
dolske: review+
dolske: approval2.0+
Details | Diff | Splinter Review
v2 (2.35 KB, patch)
2010-08-14 12:18 PDT, Raymond Lee [:raymondlee]
no flags Details | Diff | Splinter Review

Description Christophe Calvez 2010-08-13 08:21:51 PDT
User-Agent:       Mozilla/5.0 (Windows NT 5.1; rv:2.0b4pre) Gecko/20100812 Minefield/4.0b4pre
Build Identifier: Mozilla/5.0 (Windows NT 5.1; rv:2.0b4pre) Gecko/20100812 Minefield/4.0b4pre

a bit similar to bug 577650 - Better handle closing the last visible tab
+ Create two groups; one with a single tab and another with several
tabs. Go into the single tab and then close the tab. You return to the
TabCandy interface as you should, but you see one of the other tabs
zooming out. There should be no zoom out in this case.

Reproducible: Always

Steps to Reproduce:
1. create 2 groups, one with several tabs, one with a single tab
2. go into the single tab, and close the tab

Actual Results:  
The single tab is closed, and a tab from the group is shown. But there is only one visible tab.

Expected Results:  
Switch to the other group, with the other tabs from the group visible.

Going in TabView restores the normal situation.
Comment 1 Raymond Lee [:raymondlee] 2010-08-13 13:05:08 PDT
Created attachment 465804 [details] [diff] [review]

Removed some code which is no longer needed and causes problem.  All tests pass without the removed code.  The default behaviour is to return to Tab candy interface when the last visible is closed.
Comment 3 Ed Lee :Mardak 2010-08-13 22:05:45 PDT
backed out
Comment 4 Ed Lee :Mardak 2010-08-14 01:36:54 PDT
This seemed to be causing this failure:

TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/components/privatebrowsing/test/browser/browser_privatebrowsing_windowtitle.js | The window title for about:blank is correct (outside private browsing mode) - Got Minefield, expected Minefield Tab Sets

Somehow the tabcandy title is being tracked as the expected title, but it gets correctly reset when switching out of private browsing and fails.
Comment 5 Raymond Lee [:raymondlee] 2010-08-14 12:18:06 PDT
Created attachment 466028 [details] [diff] [review]

Since TabClose event is fired when a tab is closing, we are uncertain that when the tab is actually removed. The 1ms delay wasn't enough so it's increased to 5ms for checking number of tabs in the same group.  Ideally, a TabClosed event should be introduced so we know exactly when a tab is closed.
Comment 6 Ed Lee :Mardak 2010-08-14 15:08:37 PDT
Raymond, this is probably related to the tabbrowser changes where when you close the last visible tab, it's going to try to select a nearby tab and make it visible, so that there's always a tab in the tabstrip when possible.
Comment 7 Ed Lee :Mardak 2010-08-14 15:11:47 PDT
So knowing that, perhaps tabbrowser should expose a way to turn off the behavior of selecting a hidden tab if there are no visible tabs to select.

Dao, is there a good way to tell if the TabSelect from unhiding-after-last-visible-closed vs a plain tab switch?
Comment 8 Ed Lee :Mardak 2010-08-14 15:18:11 PDT
Oh, sorry nevermind. The ui.js is detecting that the last visible tab is being closed -- TabClose and gBrowser.visibleTabs.length == 1.
Comment 9 Ed Lee :Mardak 2010-08-16 08:22:51 PDT
Seems fixed by the removal of setTimeouts in bug 586693.
Comment 10 Justin Dolske [:Dolske] 2010-08-16 10:16:11 PDT

*** This bug has been marked as a duplicate of bug 586693 ***
Comment 11 Justin Dolske [:Dolske] 2010-08-16 10:17:11 PDT
Comment on attachment 466028 [details] [diff] [review]

Don't need this patch since 586693 takes care of it.
Comment 12 Kevin Hanes 2010-11-18 17:06:42 PST
Duplicate bug, removing blocking.

Note You need to log in before you can comment on or make changes to this bug.